<?php
/**
 * Premium vs Free version
 *
 * @link       http://www.smdesign.rs/kupindo-integracija
 * @since      1.0.0
 *
 * @package    Kupindo_Feed
 * @subpackage Kupindo_Feed/admin/partial
 * @author    Smdesign Studio <podrska@smdesign.rs>
 */
?>

<?php
$categoriesArray = array();
$skipHeader = true;
// if (($handle = fopen("http://www.smdesign.rs/wp-content/uploads/2018/09/Kupindo-Kategorije.csv", "r")) !== FALSE) {
if (($handle = fopen("https://www.kupindo.com/FajloviStorage/CMSFajlovi/kategorije.csv", "r")) !== FALSE) {
    while (($data = fgetcsv($handle, 1000, ";")) !== FALSE) {
		if($skipHeader) { $skipHeader = false; continue; }
		$categoriesArray[] = $data;
    }
    fclose($handle);
}

function aasort (&$array, $key) {
    $sorter=array();
    $ret=array();
    reset($array);
    foreach ($array as $ii => $va) {
        $sorter[$ii]=$va[$key];
    }
    asort($sorter);
    foreach ($sorter as $ii => $va) {
        $ret[$ii]=$array[$ii];
    }
    $array=$ret;
}
aasort($categoriesArray, 2);

$categoriesMapArray = get_option('kupindo_feed_cat_value');
$categoriesMapArray = unserialize($categoriesMapArray);

add_option( 'kupindo_use_sale_price', '1' );
?>

<div class="wrap">
    <h2><?php _e('Settings', 'kupindo-feed'); ?></h2>
    <?php echo WPFFWMessage()->infoMessage1(); ?>
    <form id="kupindo_feed_config_feed" action="" method="post">
        <table class="widefat fixed" >
            <thead>
            <tr>
                <th colspan="2"><b><?php _e('Common Settings', 'kupindo-feed'); ?></b></th>
            </tr>
            </thead>
            <tbody>
			<tr>
                <td><?php _e('Product per batch', 'kupindo-feed'); ?></td>
                <td ><input type="text" name="limit" value="<?php echo (get_option('kupindo_feed_per_batch')?get_option('kupindo_feed_per_batch'):"200"); ?>"></td>
            </tr>
            <tr>
                <td><?php _e('Product per file', 'kupindo-feed'); ?></td>
                <td ><input type="text" name="file_limit" value="<?php echo (get_option('kupindo_feed_per_file')?get_option('kupindo_feed_per_file'):"3000"); ?>"></td>
            </tr>
			<tr>
				<td><?php _e('Use sale price setting', 'kupindo-feed'); ?></td>
				<td>
					<select name="use_sale_price">
						<option value="1" <?php selected( get_option('kupindo_use_sale_price'), 1 ); ?>><?php _e('Use sale price', 'kupindo-feed'); ?></option>
						<option value="0" <?php selected( get_option('kupindo_use_sale_price'), 0 ); ?>><?php _e('Always use regular price', 'kupindo-feed'); ?></option>
					</select>				
				</td>
			</tr>
			<?php 
				$orderby = 'name';
				$order = 'asc';
				$hide_empty = false ;
				$cat_args = array(
					'orderby'    => $orderby,
					'order'      => $order,
					'hide_empty' => $hide_empty,
				);
				$product_categories = get_terms( 'product_cat', $cat_args );
				
			?>
	
			<tr>
				<th><?php _e('Catalog categories', 'kupindo-feed'); ?></th><th><?php _e('Kupindo categories', 'kupindo-feed'); ?></th>
			</tr>	
			<?php $count = 0; ?>
			<?php if( !empty($product_categories) ){ ?>
					<?php foreach ($product_categories as $key => $category) { ?>
						<?php //  print_r($category); ?>
						<tr <?php echo 'class="' . (++$count%2 ? "odd" : "even") . '"';?>>
							<td>
								<?php echo $category->name . ' - ' . $category->term_id; ?>
								<?php echo (get_option('kupindo_feed_cat_value_' . $category->term_id . '')) ?>
							</td>	
							<td>
								<select name="cat_value[<?php echo $category->term_id; ?>]">
									<option value=""><?php echo '---' ?></option>
									<?php foreach ($categoriesArray as $key => $value) { ?>
										<option <?php if($categoriesMapArray[$category->term_id] == $value[0]): ?> selected="selected" <?php endif; ?> value="<?php echo $value[0] ?>">
											<?php echo $value[2] . ' ( ' . $value[3] . ' )'?>
										</option>
									<?php } ?>		
								</select>
							</td>
						</tr>
					<?php } ?>	
			<?php } ?>	
			
            <tr>
                <td></td>
                <td ><input type="submit" class="button button-primary" name="wa_kupindo_feed_config" value="<?php _e('Save', 'kupindo-feed'); ?>"></td>
            </tr>
            </tbody>
        </table>
		
		
    </form>
</div>



